FTOS_CB_AddUpdateContractParticipant
Adds or updates a record in the FTOS_CB_ContractParticipant entity representing a contract participant. The set of parameters sent via the request body determines the operation performed at the database level.
Syntax
The FTOS_CB_AddUpdateContractParticipant custom endpoint is called from within the Endpoint API endpoint. Visit the Endpoint API page for more details.
POST <host_address>/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateContractParticipant
Content-Type: application/json
{
"contractNo": "<contract_number>",
"customerNo": "<customer_number>",
"participantRole": "<participant_role>",
"blockReason": "<block_reason>",
"blockDate": "<block_date>",
"blockDisburse": <false_or_false>
}
Here's a list of the available parameters:
| Parameter | Description |
|---|---|
| host_address | URL of the FintechOS Platform server. |
| contractParticipantIdentifier | The id of the contract participant. To create a new record, do NOT send this parameter. To update an existing record, fill and send this parameter in the ContractParticipantInfo section of the request. |
| contractNo | Mandatory if contractId is not filled. The number of the contract. |
| contractId | Mandatory if contractNo is not filled. The identifier of the contract. |
| customerNo | Mandatory. The number of the customer, customerNo in the Account entity. |
| participantRole | Mandatory. The role of the participant in this contract. Check the Dependencies page for possible values. |
| blockReason | The reason for blocking the disbursement. Check the Dependencies page for possible values. |
| blockDate | The date when the disbursement is blocked. |
| blockDisburse | Possible values: true or false. If true, the disbursement is blocked. |
Response
The response indicates the result of the code execution, specifically the result of creating or updating a record in the FTOS_CB_ContractParticipant entity. If the record is created or updated successfully, its contractParticipantIdentifier is returned.
Example
To create a new record, do not fill or send the contractParticipantIdentifier parameter.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateContractParticipant
Content-Type: application/json
{
"contractNo": "8585",
"customerNo": "1285",
"participantRole": "Agent",
"blockReason": "",
"blockDate": "2025-10-10",
"blockDisburse": false
}
Response
{
"ContractParticipantIdentifier": "8956",
"IsSuccess": true
}
To update an existing record, fill and send the contractParticipantIdentifier parameter with the desired value.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateContractParticipant
Content-Type: application/json
{
"contractNo": "8585",
"customerNo": "1285",
"participantRole": "Merchant",
"blockReason": "",
"blockDate": "2025-10-10",
"blockDisburse": false,
"contractParticipantIdentifier": "8632"
}
Response
{
"ContractParticipantIdentifier": "8632",
"IsSuccess": true
}